Table of Contents

Class: Lexer | eric3/QScintilla/Lexer.py
--- | ---

Subclass to implement the lexer base class.

Methods |
--- | ---
__init__ boxCommentStr canBlockComment canBoxComment canStreamComment commentStr streamCommentStr
| __init__

    __init__ ( self )

Constructor

| boxCommentStr

    boxCommentStr ( self )

### Public method to return the box comment strings.

#### Returns

box comment strings (dictionary with three QStrings)

| canBlockComment

    canBlockComment ( self )

### Public method to determine, whether the lexer language supports a block comment.

#### Returns

flag (boolean)

| canBoxComment

    canBoxComment ( self )

### Public method to determine, whether the lexer language supports a box comment.

#### Returns

flag (boolean)

| canStreamComment

    canStreamComment ( self )

### Public method to determine, whether the lexer language supports a stream comment.

#### Returns

flag (boolean)

| commentStr

    commentStr ( self )

### Public method to return the comment string.

#### Returns

comment string (QString)

| streamCommentStr

    streamCommentStr ( self )

### Public method to return the stream comment strings.

#### Returns

stream comment strings (dictionary with two QStrings)

Table of Contents

This document was automatically generated by HappyDoc version 2.1